Bug 142763 - UI Calc Header/Footer dialog pages have no “Same content on first page” option
Summary: UI Calc Header/Footer dialog pages have no “Same content on first page” option
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Dániel Arató (NISZ)
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: Calc-Header-Footer
  Show dependency treegraph
 
Reported: 2021-06-10 11:56 UTC by NISZ LibreOffice Team
Modified: 2022-02-09 08:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the dialogs side by side in Excel and Calc with attachment 147042 (111.60 KB, image/png)
2021-06-10 11:56 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-10 11:56:49 UTC
Created attachment 172769 [details]
Screenshot of the dialogs side by side in Excel and Calc with attachment 147042 [details]

This is related to bug #121715
To properly support interoperability, the Calc Header / Footer dialog pages need a “ Same content on first page” checkbox similar to what Writer has and the logical opposite of what Excel has (First page different).

Steps to reproduce:
    1. In Calc go to Format – Page Styles
    2. Go to the Header or Footer tab

Actual results:
No “Same content on first page” checkbox under the “Same content on left and right pages” checkbox.

Expected results:
Ability to turn on/off different page header for the first page of the printed spreadsheet.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: aa9cb8e14749e7fb7a83b55a2bb095501f731a18
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 Commit Notification 2021-07-20 14:20:29 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6128e2d55f0d0c68d3c7f6fb69539ec800637947

tdf#142763 sc UI: add first page header/footer options

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 BogdanB 2021-07-23 19:34:43 UTC
Daniel Arato, please mark this as resolved. I have verified this bug and it's a nice improvment! Thanks for your work on this.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 612d5b1a04fe022a34018d901bb9b052791d54e5
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 3 BogdanB 2021-07-28 08:06:27 UTC
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 612d5b1a04fe022a34018d901bb9b052791d54e5
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded